Loading...
Searching...
No Matches
Geometry Type
dune-geometry
Collaboration diagram for Geometry Type:

## Namespaces

namespace | Dune::GeometryTypes
| Predefined GeometryTypes for common geometries.

## Classes

class | Dune::GeometryType
| Unique label for each type of entities that can occur in DUNE grids. More...

## Functions

constexpr GeometryType | Dune::GeometryTypes::simplex (unsigned int dim)
| Returns a GeometryType representing a simplex of dimension dim.
constexpr GeometryType | Dune::GeometryTypes::cube (unsigned int dim)
| Returns a GeometryType representing a hypercube of dimension dim.
constexpr GeometryType | Dune::GeometryTypes::none (unsigned int dim)
| Returns a GeometryType representing a singular of dimension dim.

## Variables

constexpr GeometryType | Dune::GeometryTypes::vertex = GeometryType(0,0,false)
| GeometryType representing a vertex.
constexpr GeometryType | Dune::GeometryTypes::line = GeometryType(0,1,false)
| GeometryType representing a line.
constexpr GeometryType | Dune::GeometryTypes::triangle = simplex(2)
| GeometryType representing a triangle.
constexpr GeometryType | Dune::GeometryTypes::quadrilateral = cube(2)
| GeometryType representing a quadrilateral (a square).
constexpr GeometryType | Dune::GeometryTypes::tetrahedron = simplex(3)
| GeometryType representing a tetrahedron.
constexpr GeometryType | Dune::GeometryTypes::pyramid = GeometryType(0b0011,3,false)
| GeometryType representing a 3D pyramid.
constexpr GeometryType | Dune::GeometryTypes::prism = GeometryType(0b0101,3,false)
| GeometryType representing a 3D prism.
constexpr GeometryType | Dune::GeometryTypes::hexahedron = cube(3)
| GeometryType representing a hexahedron.

## Detailed Description

## Function Documentation

## cube()

GeometryType Dune::GeometryTypes::cube | ( | unsigned int | dim | ) |

inline constexpr

Returns a GeometryType representing a hypercube of dimension dim.

## none()

GeometryType Dune::GeometryTypes::none | ( | unsigned int | dim | ) |

inline constexpr

Returns a GeometryType representing a singular of dimension dim.

## simplex()

GeometryType Dune::GeometryTypes::simplex | ( | unsigned int | dim | ) |

inline constexpr

Returns a GeometryType representing a simplex of dimension dim.

## Variable Documentation

## hexahedron

GeometryType Dune::GeometryTypes::hexahedron = cube(3)

inline constexpr

GeometryType representing a hexahedron.

## line

GeometryType Dune::GeometryTypes::line = GeometryType(0,1,false)

inline constexpr

GeometryType representing a line.

## prism

GeometryType Dune::GeometryTypes::prism = GeometryType(0b0101,3,false)

inline constexpr

GeometryType representing a 3D prism.

## pyramid

GeometryType Dune::GeometryTypes::pyramid = GeometryType(0b0011,3,false)

inline constexpr

GeometryType representing a 3D pyramid.

## quadrilateral

GeometryType Dune::GeometryTypes::quadrilateral = cube(2)

inline constexpr

GeometryType representing a quadrilateral (a square).

## tetrahedron

GeometryType Dune::GeometryTypes::tetrahedron = simplex(3)

inline constexpr

GeometryType representing a tetrahedron.

## triangle

GeometryType Dune::GeometryTypes::triangle = simplex(2)

inline constexpr

GeometryType representing a triangle.

## vertex

GeometryType Dune::GeometryTypes::vertex = GeometryType(0,0,false)

inline constexpr

GeometryType representing a vertex.